Subject: RE: bug#9274: 24.0.50; doc string of `normal-top-level-add-subdirs-to-load-path'

From: "Drew Adams" <[email-masked]>
Date: Wed, 10 Aug 2011 14:37:54 -0700

> > Anyway, this discussion is peripheral to this bug.  The 
> > name is monstrous, but it is unlikely that it will ever be changed...
> 
> Why is that unlikely?

I can't really speak to whether it is unlikely or why it would be - I misspoke.
I should have said that my _guess_ is that it is unlikely.

And that guess is not based on any good reason I know of why it should not be
changed. On the contrary...

> What's wrong with adding a more sensible alias,
> optionally declaring the old name obsolete?
> Standard procedure, it's done every now and then.

Sounds good to me. And yes, it is.

> The question is whether the maintainers acknowledge the problem
> or not -- I for one don't use the function even though I've known 
> about it for some time, but I know people who do use it, and the
> docstring suggests general usefulness. One more argument for
> "it's a lousy name".

Same here - on all accounts: Yes, that is the question. I haven't used it. But I
see it called out in recommendations here and there (e.g. the wiki) to users.